@ECHO OFF
REM Copyright (c) 1994 by Ziff-Davis Publishing Company, L.P.
REM All rights reserved.

ECHO Diskette Production
ECHO.
ECHO This script will create installtion diskettes for
GOTO NAME

:NAMEDONE

IF "%1" == "?" GOTO HELP
IF "%1" == "/?" GOTO HELP
IF NOT "%1" == "" GOTO OK

:HELP

ECHO.
ECHO To create a set of installation diskettes you need two
ECHO formatted 3.5" floppy diskettes. Label the diskettes:
ECHO.
ECHO    "WinBench 95 Version 1.0 Disk 1" and
ECHO    "WinBench 95 Version 1.0 Disk 2".
ECHO.
ECHO From the directory containing this script, execute the
ECHO MAKEDISK.BAT batch file, supplying the name of the 3.5"
ECHO floppy drive (typically A or B) as an argument.
ECHO.
ECHO For example, if your PC's floppy drive is the A drive,
ECHO you'd use the following command:
ECHO.
ECHO    MAKEDISK.BAT A
ECHO.
ECHO MAKEDISK.BAT prompts you to insert the diskettes at the
ECHO appropriate times.
ECHO.
GOTO DONE

:OK

ECHO.
ECHO You must supply two formatted empty 3.5" diskettes.
ECHO Label the diskettes
ECHO.
ECHO    "WinBench 95 Version 1.0 Disk 1" and
ECHO    "WinBench 95 Version 1.0 Disk 2".
ECHO.
ECHO This script will prompt you when you need to insert the
ECHO diskettes in drive %1.
ECHO.
ECHO If drive %1 is not a 3.5" floppy drive, abort this script
ECHO now and restart it supplying the name of the 3.5" drive as
ECHO an argument to the script.
ECHO.
ECHO Press CTRL/BREAK to abort this script.
ECHO.
PAUSE

ECHO.
ECHO Insert Disk 1 in drive %1 now.
ECHO.
PAUSE

IF EXIST DISK1\*.* CHDIR DISK1

GOTO DISK1

:NEXT1

IF NOT EXIST MAKEDISK.BAT CHDIR ..

ECHO.
ECHO Insert Disk 2 in drive %1 now.
ECHO.
PAUSE

IF EXIST DISK2\*.* CHDIR DISK2

GOTO DISK2

:NEXT2

IF NOT EXIST MAKEDISK.BAT CHDIR ..

ECHO.
ECHO This script has successfully copied the necesary files to the diskettes.
ECHO.
GOTO DONE



:NAME 
ECHO Ziff-Davis' WinBench 95 
ECHO [33mCracked By The White Knight[0m
GOTO NAMEDONE 
 
:DISK1 
label %1:WINBENCH1 
copy _MSSETUP.EX_ %1: 
copy _MSTEST.EX_ %1: 
copy BWCC.DL_ %1: 
copy COMNSYS.CD_ %1: 
copy COMNSYS.DB_ %1: 
copy CTL3DV2.DL_ %1: 
copy CUSTOM.WB_ %1: 
copy MSCOMSTF.DL_ %1: 
copy MSCUISTF.DL_ %1: 
copy MSDETECT.IN_ %1: 
copy MSDETSTF.DL_ %1: 
copy MSINSSTF.DL_ %1: 
copy MSSHLSTF.DL_ %1: 
copy MSUILSTF.DL_ %1: 
copy PCB_DATA.CD_ %1: 
copy PCB_DATA.DB_ %1: 
copy PCB_SYS.CD_ %1: 
copy PCB_SYS.DB_ %1: 
copy PCB_SYS.FP_ %1: 
copy README.WRI %1: 
copy SETUP.EXE %1: 
copy SETUP.IN_ %1: 
copy SETUP.LST %1: 
copy SETUPAPI.IN_ %1: 
copy WB1_DATA.CD_ %1: 
copy WB1_DATA.DB_ %1: 
copy WB1_DATA.FP_ %1: 
copy WB2_DATA.CD_ %1: 
copy WB2_DATA.DB_ %1: 
copy WB95.EX_ %1: 
copy WBN_SYS.CD_ %1: 
copy WBN_SYS.DB_ %1: 
copy WBN_SYS.FP_ %1: 
copy WINBENCH.IN_ %1: 
copy WINBENCH.MS_ %1: 
copy WST_DATA.CD_ %1: 
copy WST_DATA.DB_ %1: 
copy WST_DATA.FP_ %1: 
copy WST_SYS.CD_ %1: 
copy WST_SYS.DB_ %1: 
copy WST_SYS.FP_ %1: 
copy ZERO.EX_ %1: 
GOTO NEXT1 
 
:DISK2 
label %1:WINBENCH2 
copy RUNWB.IN_ %1: 
copy UNINSTAL.BA_ %1: 
copy UNINSTAL.PI_ %1: 
copy WB95.HL_ %1: 
copy WBQCWD95.DL_ %1: 
GOTO NEXT2 
 
:DONE 
